changeset 12:069dff07a7a3

moved init scripts
author Simon Horman <horms@verge.net.au>
date Tue, 14 May 2002 15:54:39 +0900
parents 3f1302204e22
children 83abdb4523d9
files configure.in debian/Makefile.am debian/changelog debian/control debian/copyright debian/perdition-pbs.conffiles debian/perdition-pbs.dirs debian/perdition-pbs.files debian/perdition-pbs.postinst debian/perdition-pbs.postrm debian/perdition-pbs.prerm debian/rules etc/Makefile.am etc/init.d/.cvsignore etc/init.d/Makefile.am etc/init.d/Makefile.in etc/init.d/perdition-pbs.debian.in etc/init.d/perdition-pbs.rh.in etc/rc.d/.cvsignore etc/rc.d/Makefile.am etc/rc.d/USE_OF_THIS_DIRECTORY_IS_DEPRECIATED etc/rc.d/perdition-pbs.debian.in etc/rc.d/perdition-pbs.rh.in pbs/Makefile.am pbs/Makefile.in
diffstat 24 files changed, 517 insertions(+), 192 deletions(-) [+]
line wrap: on
line diff
--- a/configure.in	Tue May 14 15:39:29 2002 +0900
+++ b/configure.in	Tue May 14 15:54:39 2002 +0900
@@ -102,8 +102,8 @@
 Makefile 
 pbs/Makefile 
 etc/Makefile 
-etc/rc.d/Makefile 
-etc/rc.d/perdition-pbs.debian
-etc/rc.d/perdition-pbs.rh
+etc/init.d/Makefile 
+etc/init.d/perdition-pbs.debian
+etc/init.d/perdition-pbs.rh
 debian/Makefile
 INSTALL)
--- a/debian/Makefile.am	Tue May 14 15:39:29 2002 +0900
+++ b/debian/Makefile.am	Tue May 14 15:54:39 2002 +0900
@@ -2,7 +2,7 @@
 # Makefile.am                                            November 2000
 # Horms                                             horms@vergenet.net
 #
-# perdition
+# perdition-pbs
 # Mail retrieval proxy server
 # Copyright (C) 1999-2002  Horms <horms@vergenet.net>
 # 
@@ -27,14 +27,14 @@
 changelog \
 control \
 copyright \
-perdition.dirs \
-perdition.files \
-perdition.postinst \
-perdition.postrm \
+perdition-pbs.dirs \
+perdition-pbs.files \
+perdition-pbs.postinst \
+perdition-pbs.postrm \
 rules \
 dpkg-checkbuild
 
 clean-local:
 	rm -f *.substvars *.debhelper files
-	rm -r -f perdition perdition-dev perdition-ldap perdition-mysql \
-		perdition-postgresql tmp
+	rm -r -f perdition-pbs perdition-pbs-dev perdition-pbs-ldap perdition-pbs-mysql \
+		perdition-pbs-postgresql tmp
--- a/debian/changelog	Tue May 14 15:39:29 2002 +0900
+++ b/debian/changelog	Tue May 14 15:54:39 2002 +0900
@@ -1,4 +1,4 @@
-perdition (0.0.0-1) unstable; urgency=low
+perdition-pbs (0.0.0-1) unstable; urgency=low
 
   * A release.
 
--- a/debian/control	Tue May 14 15:39:29 2002 +0900
+++ b/debian/control	Tue May 14 15:54:39 2002 +0900
@@ -1,16 +1,20 @@
 Source: perdition-pbs
 Build-Depends: libvanessa-logger-dev (>= 0.0.2), libvanessa-socket-dev (>= 0.0.3), libpopt-dev, libdb3-dev, debhelper, libtool, automake, gzip
-Section: non-US
+Section: mail
 Priority: optional
 Maintainer: Simon Horman <horms@vergenet.net>
 Standards-Version: 3.5.2
 
-Package: perdition
+Package: perdition-pbs
 Architecture: any
 Depends: ${shlibs:Depends}
 Conflicts: libvanessa-socket0 (<= 0.0.3), libvanessa-adt0 (<= 0.0.2), libvanessa-logger0 (<= 0.0.2)
 Description: POP3 before SMTP Tool
- Perdition-PBS is toolkit to provide pop before smtp support. It may be
+ POP before SMTP is the process by which users are permitted to relay mail
+ using SMTP for a period of time after they have authenticated themselves 
+ to retrieve  mail  via POP or IMAP.
+ .
+ Perdition-PBS is toolkit to provide POP before SMTP support. It may be
  used with any pop server that provides logs that include the connection's
  source IP address when a user is authenticated. This includes perdition
  itself. At this stage the sendmail and qmail SMTP servers are supported. 
--- a/debian/copyright	Tue May 14 15:39:29 2002 +0900
+++ b/debian/copyright	Tue May 14 15:54:39 2002 +0900
@@ -17,4 +17,4 @@
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 
 This package is available by FTP from:
-ftp://ftp.vergenet.net/pub/perdition/
+ftp://ftp.vergenet.net/pub/perdition-pbs/
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/perdition-pbs.conffiles	Tue May 14 15:54:39 2002 +0900
@@ -0,0 +1,1 @@
+/etc/init.d/perdition-pbs
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/perdition-pbs.dirs	Tue May 14 15:54:39 2002 +0900
@@ -0,0 +1,1 @@
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/perdition-pbs.files	Tue May 14 15:54:39 2002 +0900
@@ -0,0 +1,14 @@
+etc/init.d/perdition-pbs
+usr/sbin/perdition-pbs
+usr/sbin/perdition-pbs-daemon
+usr/sbin/perdition-pbs-list
+usr/sbin/perdition-pbs-insert
+usr/sbin/perdition-pbs-remove
+usr/sbin/perdition-pbs-setenv
+usr/sbin/perdition-pbs-purge
+/usr/share/man/man8/perdition-pbs-daemon.8
+/usr/share/man/man8/perdition-pbs-list.8
+/usr/share/man/man8/perdition-pbs-insert.8
+/usr/share/man/man8/perdition-pbs-remove.8
+/usr/share/man/man8/perdition-pbs-setenv.8
+/usr/share/man/man8/perdition-pbs-purge.8
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/perdition-pbs.postinst	Tue May 14 15:54:39 2002 +0900
@@ -0,0 +1,16 @@
+#! /bin/sh
+# postinst script for perdition-pbs
+
+#DEBHELPER#
+
+if [ "$1" = "configure" ]; then
+    ldconfig
+    if [ -d /usr/doc -a ! -e /usr/doc/perdition-pbs -a -d /usr/share/doc/perdition-pbs ]; then
+      ln -sf ../share/doc/perdition-pbs /usr/doc/perdition-pbs
+    fi
+    update-rc.d perdition-pbs defaults >/dev/null
+fi
+
+exit 0
+
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/perdition-pbs.postrm	Tue May 14 15:54:39 2002 +0900
@@ -0,0 +1,13 @@
+#! /bin/sh
+# postrm script for perdition-pbs
+
+#DEBHELPER#
+
+if [ "$1" = "remove" ]; then
+	ldconfig
+	update-rc.d -f perdition-pbs remove >/dev/null
+fi
+
+exit 0
+
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/perdition-pbs.prerm	Tue May 14 15:54:39 2002 +0900
@@ -0,0 +1,8 @@
+#! /bin/sh
+# prerm script for perdition-pbs
+
+#DEBHELPER#
+
+exit 0
+
+
--- a/debian/rules	Tue May 14 15:39:29 2002 +0900
+++ b/debian/rules	Tue May 14 15:54:39 2002 +0900
@@ -12,11 +12,13 @@
 	dh_testdir
 	./configure $(cfg)
 	# Lame libtool workaround that lintian seems keen on
-	sed < libtool > libtool-2 \
-		-e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
-		-e '/^archive_cmds="/s/"$$/ \\$$deplibs"/'
-	mv libtool-2 libtool 
-	chmod 755 libtool
+	if test -f libtool; then \
+		sed < libtool > libtool-2 \
+			-e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
+			-e '/^archive_cmds="/s/"$$/ \\$$deplibs"/' ;\
+		mv libtool-2 libtool; \
+		chmod 755 libtool; \
+	fi
 	$(MAKE)
 	touch build-stamp
 
@@ -40,7 +42,7 @@
   	  install
 
 	./mkinstalldirs $(pwd)/debian/tmp/etc/init.d
-	install -c -m 755 etc/rc.d/init.d/perdition-pbs.debian \
+	install -c -m 755 etc/init.d/perdition-pbs.debian \
 	  $(pwd)/debian/tmp/etc/init.d/perdition-pbs
 
 	./mkinstalldirs $(pwd)/debian/tmp/usr/share/doc/perdition-pbs
--- a/etc/Makefile.am	Tue May 14 15:39:29 2002 +0900
+++ b/etc/Makefile.am	Tue May 14 15:54:39 2002 +0900
@@ -23,7 +23,7 @@
 #
 ######################################################################
 
-SUBDIRS = rc.d
+SUBDIRS = init.d
 
 EXTRA_DIST = 
 
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/etc/init.d/.cvsignore	Tue May 14 15:54:39 2002 +0900
@@ -0,0 +1,4 @@
+Makefile.in
+Makefile
+perdition-pbs.rh
+perdition-pbs.debian
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/etc/init.d/Makefile.am	Tue May 14 15:54:39 2002 +0900
@@ -0,0 +1,30 @@
+######################################################################
+# Makefile.am                                            November 2000
+# Horms                                             horms@vergenet.net
+#
+# perdition-pbs
+# Mail retrieval proxy server
+# Copyright (C) 1999-2002  Horms <horms@vergenet.net>
+# 
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
+# 02111-1307  USA
+#
+######################################################################
+
+EXTRA_DIST = \
+  perdition-pbs.rh \
+  perdition-pbs.rh.in \
+  perdition-pbs.debian \
+  perdition-pbs.debian.in
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/etc/init.d/Makefile.in	Tue May 14 15:54:39 2002 +0900
@@ -0,0 +1,209 @@
+# Makefile.in generated automatically by automake 1.4-p4 from Makefile.am
+
+# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
+# This Makefile.in is free software; the Free Software Foundation
+# gives unlimited permission to copy and/or distribute it,
+# with or without modifications, as long as this notice is preserved.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
+# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
+# PARTICULAR PURPOSE.
+
+######################################################################
+# Makefile.am                                            November 2000
+# Horms                                             horms@vergenet.net
+#
+# perdition-pbs
+# Mail retrieval proxy server
+# Copyright (C) 1999-2002  Horms <horms@vergenet.net>
+# 
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
+# 02111-1307  USA
+#
+######################################################################
+
+
+SHELL = @SHELL@
+
+srcdir = @srcdir@
+top_srcdir = @top_srcdir@
+VPATH = @srcdir@
+prefix = @prefix@
+exec_prefix = @exec_prefix@
+
+bindir = @bindir@
+sbindir = @sbindir@
+libexecdir = @libexecdir@
+datadir = @datadir@
+sysconfdir = @sysconfdir@
+sharedstatedir = @sharedstatedir@
+localstatedir = @localstatedir@
+libdir = @libdir@
+infodir = @infodir@
+mandir = @mandir@
+includedir = @includedir@
+oldincludedir = /usr/include
+
+DESTDIR =
+
+pkgdatadir = $(datadir)/@PACKAGE@
+pkglibdir = $(libdir)/@PACKAGE@
+pkgincludedir = $(includedir)/@PACKAGE@
+
+top_builddir = ../..
+
+ACLOCAL = @ACLOCAL@
+AUTOCONF = @AUTOCONF@
+AUTOMAKE = @AUTOMAKE@
+AUTOHEADER = @AUTOHEADER@
+
+INSTALL = @INSTALL@
+INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
+INSTALL_DATA = @INSTALL_DATA@
+INSTALL_SCRIPT = @INSTALL_SCRIPT@
+transform = @program_transform_name@
+
+NORMAL_INSTALL = :
+PRE_INSTALL = :
+POST_INSTALL = :
+NORMAL_UNINSTALL = :
+PRE_UNINSTALL = :
+POST_UNINSTALL = :
+AWK = @AWK@
+CC = @CC@
+CPP = @CPP@
+CXX = @CXX@
+LN_S = @LN_S@
+MAKEINFO = @MAKEINFO@
+PACKAGE = @PACKAGE@
+RANLIB = @RANLIB@
+VERSION = @VERSION@
+dmalloc_lib = @dmalloc_lib@
+
+EXTRA_DIST =    perdition-pbs.rh   perdition-pbs.rh.in   perdition-pbs.debian   perdition-pbs.debian.in
+
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
+CONFIG_HEADER = ../../config.h
+CONFIG_CLEAN_FILES =  perdition-pbs.debian perdition-pbs.rh
+DIST_COMMON =  Makefile.am Makefile.in perdition-pbs.debian.in \
+perdition-pbs.rh.in
+
+
+DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)
+
+TAR = tar
+GZIP_ENV = --best
+all: all-redirect
+.SUFFIXES:
+$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
+	cd $(top_srcdir) && $(AUTOMAKE) --gnu etc/init.d/Makefile
+
+Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
+	cd $(top_builddir) \
+	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
+
+perdition-pbs.debian: $(top_builddir)/config.status perdition-pbs.debian.in
+	cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
+perdition-pbs.rh: $(top_builddir)/config.status perdition-pbs.rh.in
+	cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
+tags: TAGS
+TAGS:
+
+
+distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
+
+subdir = etc/init.d
+
+distdir: $(DISTFILES)
+	here=`cd $(top_builddir) && pwd`; \
+	top_distdir=`cd $(top_distdir) && pwd`; \
+	distdir=`cd $(distdir) && pwd`; \
+	cd $(top_srcdir) \
+	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu etc/init.d/Makefile
+	@for file in $(DISTFILES); do \
+	  d=$(srcdir); \
+	  if test -d $$d/$$file; then \
+	    cp -pr $$d/$$file $(distdir)/$$file; \
+	  else \
+	    test -f $(distdir)/$$file \
+	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
+	    || cp -p $$d/$$file $(distdir)/$$file || :; \
+	  fi; \
+	done
+info-am:
+info: info-am
+dvi-am:
+dvi: dvi-am
+check-am: all-am
+check: check-am
+installcheck-am:
+installcheck: installcheck-am
+install-exec-am:
+install-exec: install-exec-am
+
+install-data-am:
+install-data: install-data-am
+
+install-am: all-am
+	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+install: install-am
+uninstall-am:
+uninstall: uninstall-am
+all-am: Makefile
+all-redirect: all-am
+install-strip:
+	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
+installdirs:
+
+
+mostlyclean-generic:
+
+clean-generic:
+
+distclean-generic:
+	-rm -f Makefile $(CONFIG_CLEAN_FILES)
+	-rm -f config.cache config.log stamp-h stamp-h[0-9]*
+
+maintainer-clean-generic:
+mostlyclean-am:  mostlyclean-generic
+
+mostlyclean: mostlyclean-am
+
+clean-am:  clean-generic mostlyclean-am
+
+clean: clean-am
+
+distclean-am:  distclean-generic clean-am
+
+distclean: distclean-am
+
+maintainer-clean-am:  maintainer-clean-generic distclean-am
+	@echo "This command is intended for maintainers to use;"
+	@echo "it deletes files that may require special tools to rebuild."
+
+maintainer-clean: maintainer-clean-am
+
+.PHONY: tags distdir info-am info dvi-am dvi check check-am \
+installcheck-am installcheck install-exec-am install-exec \
+install-data-am install-data install-am install uninstall-am uninstall \
+all-redirect all-am all installdirs mostlyclean-generic \
+distclean-generic clean-generic maintainer-clean-generic clean \
+mostlyclean distclean maintainer-clean
+
+
+# Tell versions [3.59,3.63) of GNU make to not export all variables.
+# Otherwise a system limit (for SysV at least) may be exceeded.
+.NOEXPORT:
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/etc/init.d/perdition-pbs.debian.in	Tue May 14 15:54:39 2002 +0900
@@ -0,0 +1,59 @@
+#!/bin/sh
+######################################################################
+# Version:                                                    May 2002
+# Author:                                   Horms <horms@vergenet.net>
+#
+# Debian init script for perdition-pbs
+# based on /etc/init.d/skeleton
+#
+# perdition-pbs
+# POP Before SMTP Tools
+# Copyright (C) 2002  Horms
+# 
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
+# 02111-1307  USA
+#
+######################################################################
+
+
+PATH=@prefix@/sbin:/bin:/usr/bin:/sbin:/usr/sbin
+NAME=perdition-pbs
+
+test -f $DAEMON || exit 0
+
+case "$1" in
+  start)
+    start-stop-daemon --start --verbose --name perdition-pbs \
+        --exec @prefix@/sbin/perdition-pbs -- $FLAGS
+    ;;
+  stop)
+    start-stop-daemon --stop --verbose --name perdition-pbs
+        --exec @prefix@/sbin/perdition-pbs
+  restart)
+    $0 stop 
+    $0 start 
+    ;;
+  force-reload|reload)
+    # echo "Reloading $NAME configuration files"
+    # start-stop-daemon --stop --signal 1 --quiet --exec $DAEMON
+    ;;
+  *)
+    # echo "Usage: /etc/init.d/$NAME {start|stop|reload}"
+    echo "Usage: /etc/init.d/$NAME {start|stop}"
+    exit 1
+    ;;
+esac
+
+exit 0
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/etc/init.d/perdition-pbs.rh.in	Tue May 14 15:54:39 2002 +0900
@@ -0,0 +1,65 @@
+#!/bin/sh
+######################################################################
+# Version:                                                    May 2002
+# Author:                                   Horms <horms@vergenet.net>
+#
+# Red Hat init script for perdition-pbs
+# Adapted from: Tomasz Kłoczko, <kloczek@rudy.mif.pg.gda.pl>
+#               Michele Marziani <marziani@fe.infn.it>
+#
+# perdition-pbs:
+# chkconfig: 2345 81 29
+# description: Perdition-PBS provides Tools for doing \
+# POP before SMTP
+#
+# perdition-pbs
+# POP Before SMTP Tools
+# Copyright (C) 2002  Horms
+# 
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
+# 02111-1307  USA
+#
+######################################################################
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# See how we were called.
+case "$1" in
+  start)
+       	echo -n "Starting perdition-pbs services: "
+	daemon @prefix@/sbin/perdition-pbs $FLAGS
+	touch /var/lock/subsys/perdition-pbs
+       	echo
+	;;
+  status)
+        status perdition-pbs
+	;;
+  restart|reload)
+        $0 stop
+	$0 start
+        ;;
+  stop)
+       	echo -n "Shutting down perdition-pbs services (POP3): "
+	killproc perdition-pbs
+	rm -f /var/lock/subsys/perdition-pbs
+       	echo
+	;;
+  *)
+	echo "Usage: perdition-pbs {start|stop|status|restart|reload}"
+	exit 1
+esac
+
+exit 0
--- a/etc/rc.d/.cvsignore	Tue May 14 15:39:29 2002 +0900
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,4 +0,0 @@
-Makefile.in
-Makefile
-perdition-pbs.rh
-perdition-pbs.debian
--- a/etc/rc.d/Makefile.am	Tue May 14 15:39:29 2002 +0900
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,30 +0,0 @@
-######################################################################
-# Makefile.am                                            November 2000
-# Horms                                             horms@vergenet.net
-#
-# perdition-pbs
-# Mail retrieval proxy server
-# Copyright (C) 1999-2002  Horms <horms@vergenet.net>
-# 
-# This program is free software; you can redistribute it and/or
-# modify it under the terms of the GNU General Public License as
-# published by the Free Software Foundation; either version 2 of the
-# License, or (at your option) any later version.
-# 
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-# General Public License for more details.
-# 
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
-# 02111-1307  USA
-#
-######################################################################
-
-EXTRA_DIST = \
-  perdition-pbs.rh \
-  perdition-pbs.rh.in \
-  perdition-pbs.debian \
-  perdition-pbs.debian.in
--- a/etc/rc.d/perdition-pbs.debian.in	Tue May 14 15:39:29 2002 +0900
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,59 +0,0 @@
-#!/bin/sh
-######################################################################
-# Version:                                                    May 2002
-# Author:                                   Horms <horms@vergenet.net>
-#
-# Debian init script for perdition-pbs
-# based on /etc/init.d/skeleton
-#
-# perdition-pbs
-# POP Before SMTP Tools
-# Copyright (C) 2002  Horms
-# 
-# This program is free software; you can redistribute it and/or
-# modify it under the terms of the GNU General Public License as
-# published by the Free Software Foundation; either version 2 of the
-# License, or (at your option) any later version.
-# 
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-# General Public License for more details.
-# 
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
-# 02111-1307  USA
-#
-######################################################################
-
-
-PATH=@prefix@/sbin:/bin:/usr/bin:/sbin:/usr/sbin
-NAME=perdition-pbs
-
-test -f $DAEMON || exit 0
-
-case "$1" in
-  start)
-    start-stop-daemon --start --verbose --name perdition-pbs-daemon \
-        --exec @prefix@/sbin/perdition-pbs-daemon -- $FLAGS
-    ;;
-  stop)
-    start-stop-daemon --stop --verbose --name perdition-pbs-daemon
-        --exec @prefix@/sbin/perdition-pbs-daemon
-  restart)
-    $0 stop 
-    $0 start 
-    ;;
-  force-reload|reload)
-    # echo "Reloading $NAME configuration files"
-    # start-stop-daemon --stop --signal 1 --quiet --exec $DAEMON
-    ;;
-  *)
-    # echo "Usage: /etc/init.d/$NAME {start|stop|reload}"
-    echo "Usage: /etc/init.d/$NAME {start|stop}"
-    exit 1
-    ;;
-esac
-
-exit 0
--- a/etc/rc.d/perdition-pbs.rh.in	Tue May 14 15:39:29 2002 +0900
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,65 +0,0 @@
-#!/bin/sh
-######################################################################
-# Version:                                                    May 2002
-# Author:                                   Horms <horms@vergenet.net>
-#
-# Red Hat init script for perdition-pbs
-# Adapted from: Tomasz Kłoczko, <kloczek@rudy.mif.pg.gda.pl>
-#               Michele Marziani <marziani@fe.infn.it>
-#
-# perdition-pbs:
-# chkconfig: 2345 81 29
-# description: Perdition-PBS provides Tools for doing \
-# POP before SMTP
-#
-# perdition-pbs
-# POP Before SMTP Tools
-# Copyright (C) 2002  Horms
-# 
-# This program is free software; you can redistribute it and/or
-# modify it under the terms of the GNU General Public License as
-# published by the Free Software Foundation; either version 2 of the
-# License, or (at your option) any later version.
-# 
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-# General Public License for more details.
-# 
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
-# 02111-1307  USA
-#
-######################################################################
-
-# Source function library.
-. /etc/rc.d/init.d/functions
-
-# See how we were called.
-case "$1" in
-  start)
-       	echo -n "Starting perdition-pbs services: "
-	daemon @prefix@/sbin/perdition-pbs-daemon $FLAGS
-	touch /var/lock/subsys/perdition-pbs-daemon
-       	echo
-	;;
-  status)
-        status perdition-pbs-daemon
-	;;
-  restart|reload)
-        $0 stop
-	$0 start
-        ;;
-  stop)
-       	echo -n "Shutting down perdition-pbs services (POP3): "
-	killproc perdition-pbs-daemon
-	rm -f /var/lock/subsys/perdition-pbs-daemon
-       	echo
-	;;
-  *)
-	echo "Usage: perdition-pbs {start|stop|status|restart|reload}"
-	exit 1
-esac
-
-exit 0
--- a/pbs/Makefile.am	Tue May 14 15:39:29 2002 +0900
+++ b/pbs/Makefile.am	Tue May 14 15:54:39 2002 +0900
@@ -26,6 +26,10 @@
 
 sbin_PROGRAMS = perdition-pbs
 
+man_MANS = perdition-pbs.8
+
+EXTRA_DIST = perdition-pbs.8
+
 perdition_pbs_SOURCES = \
 pbs.c \
 pbs_db.c pbs_db.h \
@@ -45,10 +49,13 @@
 	for i in deamon list insert remove setenv purge; do \
                 (cd $(DESTDIR)$(sbindir) && rm -f perdition-pbs-$$i && \
                         ln -sf perdition-pbs perdition-pbs-$$i); \
+                (cd $(DESTDIR)$(mandir)/man8 && rm -f perdition-pbs-$$i.8 && \
+                        ln -sf perdition-pbs.8 perdition-pbs-$$i.8); \
         done
 
 uninstall-local:
 	for i in deamon list insert remove setenv purge; do \
                 rm -f $(DESTDIR)$(sbindir)/perditioni-pbs-$$i; \
+		rm -f $(DESTDIR)$(mandir)/man8/perdition-pbs-$$i.8; \
         done
 
--- a/pbs/Makefile.in	Tue May 14 15:39:29 2002 +0900
+++ b/pbs/Makefile.in	Tue May 14 15:54:39 2002 +0900
@@ -95,6 +95,10 @@
 
 sbin_PROGRAMS = perdition-pbs
 
+man_MANS = perdition-pbs.8
+
+EXTRA_DIST = perdition-pbs.8
+
 perdition_pbs_SOURCES =  pbs.c pbs_db.c pbs_db.h pbs_log.h pbs_option.c pbs_option.h pbs_record.c pbs_record.h 
 
 
@@ -123,6 +127,10 @@
 COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
 CCLD = $(CC)
 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
+man8dir = $(mandir)/man8
+MANS = $(man_MANS)
+
+NROFF = nroff
 DIST_COMMON =  Makefile.am Makefile.in
 
 
@@ -191,6 +199,45 @@
 	@rm -f perdition-pbs
 	$(LINK) $(perdition_pbs_LDFLAGS) $(perdition_pbs_OBJECTS) $(perdition_pbs_LDADD) $(LIBS)
 
+install-man8:
+	$(mkinstalldirs) $(DESTDIR)$(man8dir)
+	@list='$(man8_MANS)'; \
+	l2='$(man_MANS)'; for i in $$l2; do \
+	  case "$$i" in \
+	    *.8*) list="$$list $$i" ;; \
+	  esac; \
+	done; \
+	for i in $$list; do \
+	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
+	  else file=$$i; fi; \
+	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
+	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
+	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
+	  echo " $(INSTALL_DATA) $$file $(DESTDIR)$(man8dir)/$$inst"; \
+	  $(INSTALL_DATA) $$file $(DESTDIR)$(man8dir)/$$inst; \
+	done
+
+uninstall-man8:
+	@list='$(man8_MANS)'; \
+	l2='$(man_MANS)'; for i in $$l2; do \
+	  case "$$i" in \
+	    *.8*) list="$$list $$i" ;; \
+	  esac; \
+	done; \
+	for i in $$list; do \
+	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
+	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
+	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
+	  echo " rm -f $(DESTDIR)$(man8dir)/$$inst"; \
+	  rm -f $(DESTDIR)$(man8dir)/$$inst; \
+	done
+install-man: $(MANS)
+	@$(NORMAL_INSTALL)
+	$(MAKE) $(AM_MAKEFLAGS) install-man8
+uninstall-man:
+	@$(NORMAL_UNINSTALL)
+	$(MAKE) $(AM_MAKEFLAGS) uninstall-man8
+
 tags: TAGS
 
 ID: $(HEADERS) $(SOURCES) $(LISP)
@@ -285,20 +332,20 @@
 	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
 install-exec: install-exec-am
 
-install-data-am:
+install-data-am: install-man
 install-data: install-data-am
 
 install-am: all-am
 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
 install: install-am
-uninstall-am: uninstall-sbinPROGRAMS uninstall-local
+uninstall-am: uninstall-sbinPROGRAMS uninstall-man uninstall-local
 uninstall: uninstall-am
-all-am: Makefile $(PROGRAMS)
+all-am: Makefile $(PROGRAMS) $(MANS)
 all-redirect: all-am
 install-strip:
 	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
 installdirs:
-	$(mkinstalldirs)  $(DESTDIR)$(sbindir)
+	$(mkinstalldirs)  $(DESTDIR)$(sbindir) $(DESTDIR)$(mandir)/man8
 
 
 mostlyclean-generic:
@@ -337,14 +384,14 @@
 .PHONY: mostlyclean-sbinPROGRAMS distclean-sbinPROGRAMS \
 clean-sbinPROGRAMS maintainer-clean-sbinPROGRAMS uninstall-sbinPROGRAMS \
 install-sbinPROGRAMS mostlyclean-compile distclean-compile \
-clean-compile maintainer-clean-compile tags mostlyclean-tags \
-distclean-tags clean-tags maintainer-clean-tags distdir \
-mostlyclean-depend distclean-depend clean-depend \
-maintainer-clean-depend info-am info dvi-am dvi check check-am \
-installcheck-am installcheck install-exec-am install-exec \
-install-data-am install-data install-am install uninstall-local \
-uninstall-am uninstall all-redirect all-am all installdirs \
-mostlyclean-generic distclean-generic clean-generic \
+clean-compile maintainer-clean-compile install-man8 uninstall-man8 \
+install-man uninstall-man tags mostlyclean-tags distclean-tags \
+clean-tags maintainer-clean-tags distdir mostlyclean-depend \
+distclean-depend clean-depend maintainer-clean-depend info-am info \
+dvi-am dvi check check-am installcheck-am installcheck install-exec-am \
+install-exec install-data-am install-data install-am install \
+uninstall-local uninstall-am uninstall all-redirect all-am all \
+installdirs mostlyclean-generic distclean-generic clean-generic \
 maintainer-clean-generic clean mostlyclean distclean maintainer-clean
 
 
@@ -352,11 +399,14 @@
 	for i in deamon list insert remove setenv purge; do \
                 (cd $(DESTDIR)$(sbindir) && rm -f perdition-pbs-$$i && \
                         ln -sf perdition-pbs perdition-pbs-$$i); \
+                (cd $(DESTDIR)$(mandir)/man8 && rm -f perdition-pbs-$$i.8 && \
+                        ln -sf perdition-pbs.8 perdition-pbs-$$i.8); \
         done
 
 uninstall-local:
 	for i in deamon list insert remove setenv purge; do \
                 rm -f $(DESTDIR)$(sbindir)/perditioni-pbs-$$i; \
+		rm -f $(DESTDIR)$(mandir)/man8/perdition-pbs-$$i.8; \
         done
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.